Subject: RE: bug#12187: 24.1.50; Regression: `Info-breadcrumbs-depth' should show `File:' without ".info" suffix

From: "Drew Adams" <[email-masked]>
Date: Mon, 13 Aug 2012 06:55:25 -0700

> >> We should not be displaying the suffix ".info".  The 
> >> "file" name here is intended to indicate which manual you are in.
> 
> > No, it's a file name.  That's how all Info readers work.
> > This is not a bug.
> 
> I agree it's not a bug, and not a regression in the Info 
> reader either, but IIUC having just "elisp" in there would work
> as well (because when searching for "elisp" the Info reader also
> tries to look for "elisp.info"), so I think it's a reasonable
> request to elide the ".info".  But I'm not sure if eliding should
> be the job of makeinfo or of the Info renderer.

I can see both your points of view.

Eli, can you speak more of the advantage of showing the suffix?  E.g., are there
cases where there might be more than one manual with the same file name except
for the suffix?  And could you elaborate on how this relates to other Info
readers and why it can be important to show the suffix?

I was thinking of the suffix here as essentially noise.  But if there is a real
use for it then I would agree that it need not be removed.